View Issue Details

IDProjectCategoryView StatusLast Update
0003174unrealmodule apipublic2007-11-01 09:46
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSANYOS VersionANY
Product Version3.3-alpha0 
Target VersionFixed in Version3.2.8 
Summary0003174: Make usermodes non-PERM
DescriptionTo my knowledge, having user mode modules non-PERM is still risky. Such as when the sequence of modules is changed.

Verify if reloading/unloading still works properly. Fix any issues if they are there. Or if no good support is present (eg: we were just relying on luck), then code support.
Additional InformationThis only requires some "remember this umode type until all modules are loaded again" and a "remove any umodes that no longer have a handler/module" thingy.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

syzop

2007-11-01 09:46

administrator   ~0014808

Fixed in .692:
- Usermode modules now no longer have to be permanent (0003174), this was
  simply a bug that was introduced when adding remote includes support years
  ago.

Issue History

Date Modified Username Field Change
2006-12-28 14:06 syzop New Issue
2007-04-19 04:21 stskeeps Status new => acknowledged
2007-11-01 09:41 syzop Relationship added child of 0003454
2007-11-01 09:46 syzop QA => Not touched yet by developer
2007-11-01 09:46 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-11-01 09:46 syzop Status acknowledged => resolved
2007-11-01 09:46 syzop Fixed in Version => 3.2.8
2007-11-01 09:46 syzop Resolution open => fixed
2007-11-01 09:46 syzop Assigned To => syzop
2007-11-01 09:46 syzop Note Added: 0014808
2017-01-06 15:48 syzop Category module => module api